Macro Line Length

From FreeCAD Documentation
Jump to navigation Jump to search
This page is a translated version of the page Macro Line Length and the translation is 89% complete.
Outdated translations are marked like this.
Other languages:
Deutsch • ‎English • ‎français • ‎italiano • ‎čeština

Macro Line Length.png Macro Line Length

Beschreibung
Erzeugt eine Linie, in der die XYZ-Koordinaten, die Länge und der Winkel als Argument angegeben werden.Die neue Zeile wird in der realen Koordinate des Objekts erstellt, nicht in der Koordinate des Körpers.
(Befehlszeile, fügen Sie dieses vollständige Makro in die Python-Konsole ein).

Versionsmakro : 02.00
Datum der letzten Änderung : 2014-08-08
FreeCAD version : All
Herunterladen : ToolBar Icon
Autor
mario52
Herunterladen
ToolBar Icon
Links
Macro-Version
02.00
Datum der letzten Änderung
2014-08-08
FreeCAD-Version(s)
All
Standardverknüpfung
None
Siehe auch
None


Beschreibung

Dieses kleine Makro erstellt eine Linie, in der die XYZ-Koordinaten, die Länge und der Winkel als Argument angegeben werden

Verwenden Sie

Kann vom Freecad-Makro-Editor verwendet werden.

Die Standardwerte sind: x1 = 0, y1 = 0, z1 = 0, Länge = 10, Winkel = 0

Skript

ToolBar Icon Macro Line Length.png

Macro Line_Length.py

# -*- coding: utf-8 -*-
# créer une ligne avec une coordonnée une longueur et un angle sur le plan X Y
# create line with coordinate length and angle to plane X Y
import FreeCAD, FreeCADGui, Draft
from math import cos, sin, radians
#from FreeCAD import Base
 
def line_length(x1 = 0.0, y1 = 0.0, z1 = 0.0, length = 10.0, angle = 0.0):
    x2 = x1 + (length * cos(radians(angle)))
    y2 = y1 + (length * sin(radians(angle)))
    z2 = z1 #+ ()
    Draft.makeWire([FreeCAD.Vector(x1,y1,z1),FreeCAD.Vector(x2,y2,z2)])

#Example:
#x1 = 0.0          # Edit coordinate x1 origin
#y1 = 0.0          # Edit coordinate y1 origin
#z1 = 0.0          # Edit coordinate z1 origin
#length = 50.0       # Edit length
#angle  = 45.0       # Edit angle plane XY
 
#line_length(x1, y1, z1, length, angle)


Beispiel

Wenn das Makro in die Python-Konsole kopiert wird, können Sie es folgendermaßen verwenden:

>>> line_length(x1 = 0, y1 = 0, z1 = 0, length = 10, angle = 45)

oder Wahl

>>> line_length(x1 = 10, y1 = 10, z1 = 0, length = 50)

>>> line_length(length = 50, angle = 45)